#ifndef GCINVOICEDB_H
#define GCINVOICEDB_H

#include <GCInvoiceDal/gcinvoicedal_global.h>

#include <librfcdal/DalSqliteDatabase.h>

#include <string>

namespace GCInvoiceDal
{
	class GCINVOICEDALSHARED_EXPORT GCInvoiceDB
	{
		private:
			static RfcDal::DalSqliteDatabase _db;

		public:
			GCInvoiceDB();

			static void connect( const std::string& strFile );
			static void disconnect();

			static RfcDal::DalDatabase& connection();

			static void updateTables();
			static void createTables();
	};
}

#endif // GCINVOICEDB_H
