#ifndef __GCInvoiceData_Manager_h__
#define __GCInvoiceData_Manager_h__

#include <GCInvoiceData/gcinvoicedata_global.h>

#include <GCInvoiceData/Invoice.h>

#include <Base4c/Date.h>

namespace GCInvoiceData
{
	class GCINVOICEDATASHARED_EXPORT Manager
	{
		private:
			static Manager* _pmanager;

		public:
			Manager();
			virtual ~Manager();

			static Manager& manager();

			virtual Base4c::Date addTerms( const Base4c::Date& dtIn, int nDays ) = 0;
			virtual void showInvoice( const Invoice& invoice, bool bShow = true ) = 0;
			virtual void refresh( bool bAll = true ) = 0;
	};
}

#endif /* !__GCInvoiceData_Manager_h__ */
